#!/home/nop/lua-fltk/flua
-- This is how *all* callbacks show up in lua-land, with w as the widget
function fltk_dispatch(w) if w.callback then w:callback() end end

-- Translation of radio.cxx from the examples directory

w = Fl_Window:new(462,453)
Fl_Button:new(20,10,160,30, "Fl_Button")
Fl_Return_Button:new(20, 50, 160, 30, "Fl_Return_Button");
Fl_Light_Button:new(20, 90, 160, 30, "Fl_Light_Button");

o = Fl_Check_Button:new(20, 130, 160, 30, "Fl_Check_Button");
o:box(FL_UP_BOX);
o:down_box(FL_DIAMOND_DOWN_BOX);

o = Fl_Round_Button:new(20, 170, 160, 30, "Fl_Round_Button");
o:box(FL_UP_BOX);
o:down_box(FL_ROUND_DOWN_BOX);

g = Fl_Group:new(190, 10, 70, 120);
g:box(FL_THIN_UP_FRAME)

o = Fl_Check_Button:new(190, 10, 70, 30, "radio");
o:type(102);
o:down_box(FL_DIAMOND_DOWN_BOX);

o = Fl_Check_Button:new(190, 40, 70, 30, "radio");
o:type(102);
o:down_box(FL_DIAMOND_DOWN_BOX);

o = Fl_Check_Button:new(190, 70, 70, 30, "radio");
o:type(102);
o:down_box(FL_DIAMOND_DOWN_BOX);

o = Fl_Check_Button:new(190, 100, 70, 30, "radio");
o:type(102);
o:down_box(FL_DIAMOND_DOWN_BOX);

g:end_layout();

g = Fl_Group:new(270, 10, 90, 115);
g:box(FL_THIN_UP_BOX)

o = Fl_Button:new(280, 20, 20, 20, "radio");
o:type(102);
o:selection_color(1);
o:align(FL_ALIGN_RIGHT);

o = Fl_Button:new(280, 45, 20, 20, "radio");
o:type(102);
o:selection_color(1);
o:align(FL_ALIGN_RIGHT);

o = Fl_Button:new(280, 70, 20, 20, "radio");
o:type(102);
o:selection_color(1);
o:align(FL_ALIGN_RIGHT);

o = Fl_Button:new(280, 95, 20, 20, "radio");
o:type(102);
o:selection_color(1);
o:align(FL_ALIGN_RIGHT);

g:end_layout()
w:end_layout()

w:show()
